Subject: Re: linux-next: manual merge of the staging tree with the tty tree

From: Greg KH <[email-masked]>
Date: Mon, 5 Jun 2017 08:50:03 +0200

On Mon, Jun 05, 2017 at 02:57:49PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today's linux-next merge of the staging tree got a conflict in:
> 
>   include/uapi/linux/tty.h
> 
> between commit:
> 
>   8a8dabf2dd68 ("tty: handle the case where we cannot restore a line discipline")
> 
> from the tty tree and commit:
> 
>   1ab92da32e37 ("staging: speakup: add tty-based comms functions")
> 
> from the staging tree.
> 
> I fixed it up (I used the tty tree version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

I'm the maintainer of both, I knew this would happen and made it so it
was obvious what version to take :)

thanks,

greg k-h